#!/bin/bash

ss_ver="1.12.4"
os_need_ver="18.04"
url_repo1="http://dir-repo-p-01.trembita.gov.ua:82 certified trembita-member"
#url_repo2="http://02-03-repo-p-02-n.trembita.gov.ua:82/trembita/ member_112/"
url_repo_key1="http://dir-repo-p-01.trembita.gov.ua:82/repo.key.txt"
#url_repo_key2="http://02-03-repo-p-02-n.trembita.gov.ua:82/trembita/pubkey.txt"

if [ "$(id -u)" != 0 ]; then
  echo "Будь ласка, виконайте цей скрипт з правами"
  echo "суперкористувача, тобто root."
  echo "Для цього перед запуском скрипту виконайте команду"
  echo "sudo -s"
  exit 1
fi

os_release=$(lsb_release -sr)

if [ "$os_need_ver" != "$os_release" ]; then
  echo "Здається, Ви використовуєте неправильну"
  echo "версію операційної системи."
  echo "Версія операційної системи зараз $os_relaese,"
  echo "а повинна бути $os_need_ver"
  exit 1
fi

# проверить доступ в интрнет - необходимо.

echo "Цей сценарій встановить шлюз безпечного обміну версії $ss_ver,"
echo "будь ласка, переконайтеся, що ця машина має доступ до мережі Інтернет."
echo "Щоб почати натисніть клавішу ENTER."
read unless_var

echo "Починаємо встановлення..."
echo "Додаємо репозиторій"
sed -i 's/^[A-Za-z0-9]/#&/' /etc/apt/sources.list
echo "deb $url_repo1" | tee -a /etc/apt/sources.list
#echo "deb $url_repo2" | tee -a /etc/apt/sources.list
wget -O - $url_repo_key1 | apt-key add -
#wget -O - $url_repo_key2 | apt-key add -

echo "Налаштовуємо локаль"

locale-gen en_US.UTF-8
dpkg-reconfigure locales
echo 'LC_ALL=en_US.UTF-8' | tee -a /etc/environment
. /etc/environment
apt update
apt install uxp-securityserver-ua libc6=2.27-3ubuntu1.4 -y --allow-downgrades
exit 0